Subject: Re: [PATCH bpf-next] bpf/xdp: Can't detach BPF XDP prog if not exist

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 04 May 2022 13:19:49 +0200

Zhengchao Shao <[email-masked]> writes:

> if user sets nonexistent xdp_flags to detach xdp prog, kernel should
> return err and tell user that detach failed with detail info.
>
> Signed-off-by: Zhengchao Shao <[email-masked]>

I kinda see your point, but this will change user-visible behaviour that
applications might be relying on, so I don't think we can make this
change at this stage. Why can't your application just query the link for
whether a program is attached?

-Toke